Creates an import job for an uploaded Reddit data export file, marks the case's Reddit data source as pending, and queues the import. Returns 400 if the file was already imported successfully, and 404 if the file or extraction code is not found. Not available to opposing counsel.
POST
/reddit/{caseId}/import
curl \
--request POST 'http://api.example.com/reddit/{caseId}/import' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"fileId": "string",
"extractionCode": "string"
}'
Request examples
{
"fileId": "string",
"extractionCode": "string"
}
Response examples (201)
{
"data": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"case": {},
"extractionCode": {},
"file": {},
"createdBy": {},
"redditUserProvider": {},
"status": "not_started",
"startedAt": "2026-01-15T14:25:00.000Z",
"completedAt": "2026-01-15T14:30:00.000Z",
"failedAt": "2026-05-04T09:42:00Z",
"message": "Import failed",
"stats": {
"posts": 42,
"comments": 310,
"messages": 18,
"chatMessages": 95,
"votes": 1200
}
},
"statusCode": 201,
"timestamp": "2026-01-15T10:15:00.000Z"
}